1

I tried to follow this link to install texlive: https://www.tug.org/texlive/quickinstall.html

But what I have, when I enter the command 'i' is the following error:

Installing to: /usr/local/texlive/2014
./install-tl: open(>/usr/local/texlive/2014/tlpkg/texlive.tlpdb.tmp) failed: Permission denied at tlpkg/TeXLive/TLPDB.pm line 427, <STDIN> line 1.

For sure it is a permission problem and I tried already doing
sudo ./install-tl and what I get is :

Installing to: /usr/local/texlive/2014
Installing [0001/2943, time/total: ??:??/??:??]: 12many [376k]
chdir(/udd/fschiano/install-tl-20141214) failed: Permission denied at tlpkg/TeXLive/TLUtils.pm line 2340, <STDIN> line 1.

Someone can help me please?

  • 1
    Why don't you merely install the texlive-full package ? See this answer – Xavier Dec 15 '14 at 10:10
2

I am new to Linux and LaTex, so apologies in advance if the rest of this is of no use to you.

I just installed texlive yesterday, and I do not remember having to enter 'i'. I had the reverse problem, not being able to install the full package because of errors during installation. I am running Linux on a small board called cubieboard2, that may be missing hardware or drivers required for some packages in the full version of texlive.

My commands were the following:

apt-get install texlive
apt-get install texmaker

When you come across a missing LaTex command, in my case it was fullpage, you can use apt-file to look for it:

apt-get install apt-file
apt-file -x search '/fullpage.sty$'

If it finds the file, it should respond like this:

texlive-latex-extra: /usr/share/texlive/texmf-dist/tex/latex/preprint/fullpage.sty

saying that it found 'fullpage.sty' in package 'texlive-latex-extra', so...

apt-get install texlive-latex-extra

Note: After running

apt-file -x search '/fullpage.sty$'

it may ask you to run some updating command first. I don't remember the command, but it will tell you.

1

I solved my problem installing texlive-full as suggested by Xavier.

I know it is not the best solution for everyone because it is a lot of files but it worked for me.

So the command is the following:

sudo apt-get install texlive-full

I hope it will help someone else.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.